# clc_server_snapshot – Create, Delete and Restore server snapshots in CenturyLink Cloud

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- An Ansible module to Create, Delete and Restore server snapshots in CenturyLink Cloud.

## Requirements

The below requirements are needed on the host that executes this module.

- python = 2.7

- requests >= 2.5.0

- clc-sdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
expiration_days - | Default: 7 | The number of days to keep the server snapshot before it expires.
server_ids - / required |  | The list of CLC server Ids.

state
-

Choices:
- present ←
- absent
- restore

The state to insure that the provided resources are in.

wait
boolean

Choices:
- no
- yes ←

Whether to wait for the provisioning tasks to finish before returning.

## Notes

Note

- To use this module, it is required to set the below environment variables which enables access to the Centurylink Cloud - CLC_V2_API_USERNAME, the account login id for the centurylink cloud - CLC_V2_API_PASSWORD, the account password for the centurylink cloud

- Alternatively, the module accepts the API token and account alias. The API token can be generated using the CLC account login and password via the HTTP api call @ https://api.ctl.io/v2/authentication/login - CLC_V2_API_TOKEN, the API token generated from https://api.ctl.io/v2/authentication/login - CLC_ACCT_ALIAS, the account alias associated with the centurylink cloud

- Users can set CLC_V2_API_URL to specify an endpoint for pointing to a different CLC environment.

## Examples

    # Note - You must set the CLC_V2_API_USERNAME And CLC_V2_API_PASSWD Environment variables before running these examples

    - name: Create server snapshot
      clc_server_snapshot:
        server_ids:
            - UC1TEST-SVR01
            - UC1TEST-SVR02
        expiration_days: 10
        wait: True
        state: present

    - name: Restore server snapshot
      clc_server_snapshot:
        server_ids:
            - UC1TEST-SVR01
            - UC1TEST-SVR02
        wait: True
        state: restore

    - name: Delete server snapshot
      clc_server_snapshot:
        server_ids:
            - UC1TEST-SVR01
            - UC1TEST-SVR02
        wait: True
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
server_ids list | success | The list of server ids that are changed Sample: ['UC1TEST-SVR01', 'UC1TEST-SVR02']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- CLC Runner (@clc-runner)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.